<template>
	<dmDialog ref='popView' :isShowTitle="true" title="登陆提醒" :isShowClose="true" :isShowConfirm="false" >
		<view class="content">
			<text class="desc">您还未进行登录，无法使用该功能\n点击登录后可以完整查看及使用</text>
			<view class="confirm" @click="toLogin">
				去登录
			</view>
		</view>
	</dmDialog>
</template>

<script>
	import dmDialog from "./dmDialog.vue"
	export default{
		
		data(){
			return {
		
			}
		},
		methods:{
			show() {
				this.$refs.popView.show()
			},
			knowAction(){
				this.$refs.popView.hide()
			},
			toLogin(){
				this.$refs.popView.hide()
				uni.$emit('login');
			}
		},
		mounted() {
			uni.$on('unLogin',()=>{
				this.show();
			})
		},
		components:{
			dmDialog
		}
		
	}
</script>

<style scoped lang="scss">
	.content{
		width: 100%;
		height: 270rpx;
		display: flex;
		flex-direction: column;
		align-items: center;
		
		.desc{
			font-size: 28rpx;
			font-family: Verdana, Verdana-Regular;
			font-weight: 400;
			text-align: center;
			color: #666666;
			margin-top: 30rpx;
		}
		.confirm{
			width: 410rpx;
			height: 80rpx;
			line-height: 80rpx;
			background: #f07423;
			border-radius: 40rpx;
			box-shadow: 0rpx 2rpx 12rpx 0rpx rgba(240,116,35,0.37); 
			font-size: 28rpx;
			font-family: Verdana, Verdana-Bold;
			font-weight: 700;
			text-align: center;
			color: #ffffff;
			margin-top: 50rpx;
		}
	}
</style>
